QGIS Application - Bug report #13395
Load style from database
2015-09-22 04:11 AM - Kristyna Maresova

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.10.1 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 21447
Description

When | save the style to postgres database in QGIS, it automatically saves the style in the table layer_styles in public scheme.

But when | want to reconnect it to the layer, it shows only all other layer styles without required one and in the window 'styles related to the
layer' there is a message "No styles found in the database". Maybe there is a problem with connecting to the table's name.

Just for info: When | change the name of the table (f_table_name) manually in PGAdmin, the style can be opened from window 'other
styles on the database'.

History

#1 - 2015-10-11 10:14 AM - Anita Graser

Can you please post a list of steps to reproduce the issue?

| wasn't able to reproduce the issue when | tried with today's OSGeo4W nightly.

#2 - 2015-10-11 12:57 PM - Juirgen Fischer

- Status changed from Open to Feedback

#3 - 2015-10-13 04:13 AM - Kristyna Maresova

Anita Graser wrote:

Can you please post a list of steps to reproduce the issue?

I wasn't able to reproduce the issue when | tried with today's OSGeo4W nightly.

(1)! loaded layer from PostGIS database, (2) then | styled the layer, (3) saved it into the database(4)and make it default) and then (5)removed the layer from

project. (6) When | loaded the layer again from database, the required style doesn't appear in the window 'styles related to this table'.

When | open different layer, the style for previous layer appears in window 'other styles on database'. Now | am working with todays OsGeo4W and it still

doesn't work for me.

#4 - 2015-11-23 08:03 AM - Jérome Guélat

Same problem here using QGIS 2.12 on Windows.
#5 - 2015-12-19 01:52 PM - Giovanni Manghi

just tested on 2.12 on Win7 and QGIS master, and it works as expected.

#6 - 2016-01-06 08:57 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen of necessary.
